<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: io/writefemavs.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_7dc76e12c3f74bb85b7effb3b7dc07e4.html">io</a>
  </div>
</div>
<div class="contents">
<h1>writefemavs.c File Reference</h1><code>#include &quot;<a class="el" href="magpario_8h_source.html">magpario.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="util_8h_source.html">util/util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for writefemavs.c:</div>
<div class="dynsection">
<div class="center"><img src="writefemavs_8c__incl.png" border="0" usemap="#io_2writefemavs_8c_map" alt=""/></div>
<map name="io_2writefemavs_8c_map" id="io_2writefemavs_8c">
<area shape="rect" id="node3" href="magpario_8h.html" title="magpario.h" alt="" coords="108,86,193,117"/><area shape="rect" id="node15" href="util_8h.html" title="util/util.h" alt="" coords="217,86,287,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="writefemavs_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="writefemavs_8c.html#ad28639d44673a3d4c835d2390bf74c29">NVDATA</a>&nbsp;&nbsp;&nbsp;4</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="writefemavs_8c.html#ae821231396164e33ec42f01e154f5e3c">NEDATA</a>&nbsp;&nbsp;&nbsp;11</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="writefemavs_8c.html#a36b5a0a7c9d9a2c0e0060a859ae15269">NEDATA2</a>&nbsp;&nbsp;&nbsp;0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="writefemavs_8c.html#aee403d14a781f164b0e81a247fe8df92">D_FLT</a>&nbsp;&nbsp;&nbsp;50</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="writefemavs_8c.html#acbf9b17358605863de9e2c1a5b802e53">D_EID</a>&nbsp;&nbsp;&nbsp;8</td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="writefemavs_8c.html#afcfe52b023f7bd7762b109bea3096cfc">WriteFEMAVS</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="acbf9b17358605863de9e2c1a5b802e53"></a><!-- doxytag: member="writefemavs.c::D_EID" ref="acbf9b17358605863de9e2c1a5b802e53" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define D_EID&nbsp;&nbsp;&nbsp;8</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writefemavs_8c_source.html#l00039">39</a> of file <a class="el" href="writefemavs_8c_source.html">writefemavs.c</a>.</p>

</div>
</div>
<a class="anchor" id="aee403d14a781f164b0e81a247fe8df92"></a><!-- doxytag: member="writefemavs.c::D_FLT" ref="aee403d14a781f164b0e81a247fe8df92" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define D_FLT&nbsp;&nbsp;&nbsp;50</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writefemavs_8c_source.html#l00038">38</a> of file <a class="el" href="writefemavs_8c_source.html">writefemavs.c</a>.</p>

</div>
</div>
<a class="anchor" id="ae821231396164e33ec42f01e154f5e3c"></a><!-- doxytag: member="writefemavs.c::NEDATA" ref="ae821231396164e33ec42f01e154f5e3c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define NEDATA&nbsp;&nbsp;&nbsp;11</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writefemavs_8c_source.html#l00035">35</a> of file <a class="el" href="writefemavs_8c_source.html">writefemavs.c</a>.</p>

</div>
</div>
<a class="anchor" id="a36b5a0a7c9d9a2c0e0060a859ae15269"></a><!-- doxytag: member="writefemavs.c::NEDATA2" ref="a36b5a0a7c9d9a2c0e0060a859ae15269" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define NEDATA2&nbsp;&nbsp;&nbsp;0</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writefemavs_8c_source.html#l00036">36</a> of file <a class="el" href="writefemavs_8c_source.html">writefemavs.c</a>.</p>

</div>
</div>
<a class="anchor" id="ad28639d44673a3d4c835d2390bf74c29"></a><!-- doxytag: member="writefemavs.c::NVDATA" ref="ad28639d44673a3d4c835d2390bf74c29" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define NVDATA&nbsp;&nbsp;&nbsp;4</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writefemavs_8c_source.html#l00033">33</a> of file <a class="el" href="writefemavs_8c_source.html">writefemavs.c</a>.</p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="afcfe52b023f7bd7762b109bea3096cfc"></a><!-- doxytag: member="writefemavs.c::WriteFEMAVS" ref="afcfe52b023f7bd7762b109bea3096cfc" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int WriteFEMAVS </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>1 sign + 1 digit + 1 decimal point + 5 digits (mantissa) + 1 e + 1 sign + 2 digits (exponent) + 1 space </p>

<p>Definition at line <a class="el" href="writefemavs_8c_source.html#l00044">44</a> of file <a class="el" href="writefemavs_8c_source.html">writefemavs.c</a>.</p>

<p>References <a class="el" href="writedataavs_8c_source.html#l00048">D_EID</a>, <a class="el" href="writedataavs_8c_source.html#l00047">D_FLT</a>, <a class="el" href="griddata_8h_source.html#l00190">GridData::elel2g</a>, <a class="el" href="griddata_8h_source.html#l00189">GridData::eleprop</a>, <a class="el" href="griddata_8h_source.html#l00188">GridData::elevert</a>, <a class="el" href="griddata_8h_source.html#l00192">GridData::elevol</a>, <a class="el" href="griddata_8h_source.html#l00149">GridData::hscale</a>, <a class="el" href="griddata_8h_source.html#l00143">GridData::inp</a>, <a class="el" href="griddata_8h_source.html#l00172">GridData::ln_ele</a>, <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00114">MU0</a>, <a class="el" href="griddata_8h_source.html#l00165">GridData::n_ele</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="writedataavs_8c_source.html#l00032">NEDATA</a>, <a class="el" href="griddata_8h_source.html#l00097">NP</a>, <a class="el" href="griddata_8h_source.html#l00094">NV</a>, <a class="el" href="writedatadat_8c_source.html#l00033">NVDATA</a>, <a class="el" href="griddata_8h_source.html#l00221">GridData::propdat</a>, <a class="el" href="griddata_8h_source.html#l00142">GridData::simname</a>, <a class="el" href="syncffprintf_8c_source.html#l00035">SynchronizedFastFPrintf()</a>, <a class="el" href="griddata_8h_source.html#l00179">GridData::vertl2g</a>, <a class="el" href="griddata_8h_source.html#l00182">GridData::vertprop</a>, <a class="el" href="griddata_8h_source.html#l00181">GridData::vertvol</a>, and <a class="el" href="griddata_8h_source.html#l00178">GridData::vertxyz</a>.</p>

<p>Referenced by <a class="el" href="parinit_8c_source.html#l00054">ParInit()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="writefemavs_8c_afcfe52b023f7bd7762b109bea3096cfc_cgraph.png" border="0" usemap="#writefemavs_8c_afcfe52b023f7bd7762b109bea3096cfc_cgraph_map" alt=""></div>
<map name="writefemavs_8c_afcfe52b023f7bd7762b109bea3096cfc_cgraph_map" id="writefemavs_8c_afcfe52b023f7bd7762b109bea3096cfc_cgraph">
<area shape="rect" id="node3" href="syncffprintf_8c.html#ad822d6c23d995cdca14184e56d559423" title="SynchronizedFastFPrintf" alt="" coords="157,5,323,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="writefemavs_8c_afcfe52b023f7bd7762b109bea3096cfc_icgraph.png" border="0" usemap="#writefemavs_8c_afcfe52b023f7bd7762b109bea3096cfc_icgraph_map" alt=""></div>
<map name="writefemavs_8c_afcfe52b023f7bd7762b109bea3096cfc_icgraph_map" id="writefemavs_8c_afcfe52b023f7bd7762b109bea3096cfc_icgraph">
<area shape="rect" id="node3" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="157,5,216,35"/><area shape="rect" id="node5" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="264,5,315,35"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

